Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.credentials
Interface UserPasswordCredentialMapReaderMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  DefaultCredentialMapperMBean, UserPasswordCredentialMapEditorMBean, weblogic.management.security.credentials.UserPasswordCredentialMapExtendedReaderMBean

public interface UserPasswordCredentialMapReaderMBean
extends ListerMBean

Provides a set of methods for reading credentials and credential mappings. Credential mappings match WebLogic users to remote usernames and passwords. A Credential Mapping-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when a Credential Mapping provider extends this MBean and automatically provides a GUI for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getCurrentCredentialRemotePassword(String cursor)` Deprecated. 9.0.0.0
`String` | `getCurrentCredentialRemoteUserName(String cursor)` Gets a remote username from a list that has been returned from the `listCredentials` method.
`String` | `getCurrentMappingRemoteUserName(String cursor)` Gets an remote username from a credentials mapping that has been returned from the `listMappings` method.
`String` | `getCurrentMappingWLSUserName(String cursor)` Gets a webLogic username from a credentials mapping that has been returned from the `listMappings` method.
`String` | `getRemotePassword(String resourceId, String remoteUserName)` Deprecated. 9.0.0.0
`String` | `getRemoteUserName(String resourceId, String wlsUserName)` Gets the external username that is mapped to a local webLogic username for the specified resource.
`String` | `listCredentials(String resourceId)` Gets a list of credentials mapped to the resource.
`String` | `listMappings(String resourceId)` Gets a list of credential mappings created for the given resource id.

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getCurrentCredentialRemotePassword

    public String getCurrentCredentialRemotePassword(String cursor)
                                              throws InvalidCursorException

  Deprecated. 9.0.0.0

  Gets a password from a list that has been returned from the `listCredentials` method. This method returns the password that corresponds to current location in the list. Deprecated in WLS 9.0

  Parameters:
    `cursor` - - The cursor that has been returned from the `listCredentials` method.
  Returns:
    a string which is the current remote user password.
  Throws:
    `InvalidCursorException`

### getCurrentCredentialRemoteUserName

    public String getCurrentCredentialRemoteUserName(String cursor)
                                              throws InvalidCursorException

  Gets a remote username from a list that has been returned from the `listCredentials` method. This method returns the remote username that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listCredentials` method.
  Returns:
    a string which is the current remote user name.
  Throws:
    `InvalidCursorException`

### getCurrentMappingRemoteUserName

    public String getCurrentMappingRemoteUserName(String cursor)
                                           throws InvalidCursorException

  Gets an remote username from a credentials mapping that has been returned from the `listMappings` method. This method returns the remote username that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listMappings` method.
  Returns:
    a string which is remote username.
  Throws:
    `InvalidCursorException`

### getCurrentMappingWLSUserName

    public String getCurrentMappingWLSUserName(String cursor)
                                        throws InvalidCursorException

  Gets a webLogic username from a credentials mapping that has been returned from the `listMappings` method. This method returns the local webLogic username that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listMappings` method.
  Returns:
    a string which is local weblogic username.
  Throws:
    `InvalidCursorException`

### getRemotePassword

    public String getRemotePassword(String resourceId,
                                    String remoteUserName)
                             throws NotFoundException

  Deprecated. 9.0.0.0

  Gets the remote password corresponding to the remote username in the credential created for the specified resource. Deprecated in WLS 9.0

  Parameters:
    `resourceId` - - The resource for which the credential was created.
    `remoteUserName` - - The external username.
  Returns:
    the external password.
  Throws:
    `NotFoundException`

### getRemoteUserName

    public String getRemoteUserName(String resourceId,
                                    String wlsUserName)
                             throws NotFoundException

  Gets the external username that is mapped to a local webLogic username for the specified resource.

  Parameters:
    `resourceId` - - The resource on which the mapping between the local weblogic user and the remote user was created.
    `wlsUserName` - - The local weblogic username.
  Returns:
    the remote username.
  Throws:
    `NotFoundException`

### listCredentials

    public String listCredentials(String resourceId)

  Gets a list of credentials mapped to the resource. Returns a cursor as a string. Use the `getCurrentCredentialRemoteUserName` and `getCurrentCredentialRemotePassword` methods to get the username and password for the current item in the list.

  Parameters:
    `resourceId` - - The resource for which the credentials are to be returned.
  Returns:
    a string which is a cursor used to get each credential.

### listMappings

    public String listMappings(String resourceId)

  Gets a list of credential mappings created for the given resource id. Returns a cursor as a string. Use the `getCurrentMappingWLSUserName` and `getCurrentMappingRemoteUserName` methods to return the webLogic username and remote user name for the current item in the list.

  Parameters:
    `resourceId` - - The resource for which the credential mappings are to be returned.
  Returns:
    a string which is a cursor used to get each credential mapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD